<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/DrkTemplate/ViewHelpers"
      data-namespace-typo3-fluid="true"
>

    <f:if condition="{accordion_iteration.isFirst}">
        <f:then>
            <f:if condition="{settings.openFirstAccordion}">
                <f:then>
                    <f:render section="accordion" arguments="{accordion:accordion, data:data, is_active:1}" />
                </f:then>
                <f:else>
                    <f:render section="accordion" arguments="{accordion:accordion, data:data, is_active:0}" />
                </f:else>
            </f:if>
        </f:then>
        <f:else>
            <f:if condition="{drk:flexform(object: accordion, index: 'accordionState')}">
                <f:then>
                    <f:render section="accordion" arguments="{accordion:accordion, data:data, is_active:1}" />
                </f:then>
                <f:else>
                    <f:render section="accordion" arguments="{accordion:accordion, data:data, is_active:0}" />
                </f:else>
            </f:if>
        </f:else>
    </f:if>
</html>

<f:section name="accordion">
    <li class="o-accordion__navigation {f:if(condition:'{is_active}', then:' is-active')}">
        <a href="#accordion-content-{accordion.uid}" js-accordion-toggle class="o-accordion__title js-accordion-toggle">
                <span class="o-accordion__title-wrap">
                    {accordion.header}
                </span>
        </a>

        <div id="accordion-content-{accordion.uid}" class="o-accordion__content js-accordion-content {f:if(condition:'{is_active}', then:' is-active')}">
            <f:format.raw>
                {drk:arrayIndex(
                object: data,
                index: 'tx_gridelements_view_child_{accordion.uid}')}
            </f:format.raw>
        </div>
    </li>
</f:section>
